
ATA Casting Technology Co., Ltd. - Project progress work #334

ATA meeting new year and greeting

23 Dec 2023 14:11 - Ryo Nozaki

Status: Closed Start date: 20 Dec 2023

Priority: Normal Due date: 20 Dec 2023

Assignee: Ryo Nozaki % Done: 100%

Category:  Estimated time: 3.00 hours

Target version:  Spent time: 3.00 hours

Finish date:  DB skills:  

Programming skills:  OS skills:  

Description

History

#1 - 23 Dec 2023 14:11 - Ryo Nozaki

- Status changed from New to Closed

#2 - 23 Dec 2023 14:15 - Ryo Nozaki

- Project changed from 42 to ATA Casting Technology Co., Ltd.
